NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.SheetMetalFromSolidBuilder Class Reference

Represents a NXOpen.Features.SheetMetalFromSolid builder (Sheet Metal from Solid). More...

Inheritance diagram for NXOpen.Features.SheetMetal.SheetMetalFromSolidBuilder:
NXOpen.Features.SheetMetal.SheetmetalBaseBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe NXOpen.Edge[] GetCandidateBendEdges ()
 Get the candidate bend edges More...
 
unsafe NXOpen.Edge[] GetAutomaticBendEdges ()
 Get the automatic bend edges More...
 
- Public Member Functions inherited from NXOpen.Features.SheetMetal.SheetmetalBaseBuilder
unsafe
NXOpen.Features.SheetMetal.ApplicationContext 
GetApplicationContext ()
 Get the application context. More...
 
unsafe void SetApplicationContext (NXOpen.Features.SheetMetal.ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe NXOpen.ScCollector BendEdges [get]
 Returns the bend edges More...
 
unsafe
NXOpen.Features.SheetMetal.BendOptions 
BendOptions [get]
 Returns the bend options More...
 
unsafe bool ReverseDirection [get, set]
 Returns or sets the reverse direction More...
 
unsafe NXOpen.Expression Thickness [get]
 Returns the thickness More...
 
unsafe bool UseGlobalThickness [get, set]
 Returns or sets the use global thickness More...
 
unsafe NXOpen.ScCollector WebFaces [get]
 Returns the web faces More...
 

Detailed Description

Represents a NXOpen.Features.SheetMetalFromSolid builder (Sheet Metal from Solid).

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateSheetMetalFromSolidBuilder

Default values.

Property Value

Thickness.Value

3.0 (millimeters part), 0.1 (inches part)

UseGlobalThickness

1

Created in NX6.0.0

Member Function Documentation

unsafe NXOpen.Edge [] NXOpen.Features.SheetMetal.SheetMetalFromSolidBuilder.GetAutomaticBendEdges ( )

Get the automatic bend edges

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Returns
unsafe NXOpen.Edge [] NXOpen.Features.SheetMetal.SheetMetalFromSolidBuilder.GetCandidateBendEdges ( )

Get the candidate bend edges

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Returns

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Features.SheetMetal.SheetMetalFromSolidBuilder.BendEdges
get

Returns the bend edges

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.BendOptions NXOpen.Features.SheetMetal.SheetMetalFromSolidBuilder.BendOptions
get

Returns the bend options

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Features.SheetMetal.SheetMetalFromSolidBuilder.ReverseDirection
getset

Returns or sets the reverse direction

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.SheetMetalFromSolidBuilder.Thickness
get

Returns the thickness

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Features.SheetMetal.SheetMetalFromSolidBuilder.UseGlobalThickness
getset

Returns or sets the use global thickness

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.ScCollector NXOpen.Features.SheetMetal.SheetMetalFromSolidBuilder.WebFaces
get

Returns the web faces

Created in NX6.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.